| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Public Attributes
AAX_TransportStateInfo_V1 Struct Reference

`#include <AAX_TransportTypes.h>`

## Description

Helper structure for payload data described transport state information.

## Public Member Functions
| AAX_TransportStateInfo_V1 ()
std::string | ToString () const

## Public Attributes
AAX_ETransportState | mTransportState
AAX_ERecordMode | mRecordMode
AAX_CBoolean | mIsRecordEnabled
AAX_CBoolean | mIsRecording
AAX_CBoolean | mIsLoopEnabled

## Constructor & Destructor Documentation

## ◆ AAX_TransportStateInfo_V1()

AAX_TransportStateInfo_V1::AAX_TransportStateInfo_V1 | ( |  | ) |
| inline

References AAX_TransportStateInfo_V1().

Referenced by AAX_TransportStateInfo_V1().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Function Documentation

## ◆ ToString()

std::string AAX_TransportStateInfo_V1::ToString | ( |  | ) | const
| inline

References mIsLoopEnabled, mIsRecordEnabled, mIsRecording, mRecordMode, and mTransportState.

## Member Data Documentation

## ◆ mTransportState

AAX_ETransportState AAX_TransportStateInfo_V1::mTransportState

Referenced by operator==(), and ToString().

## ◆ mRecordMode

AAX_ERecordMode AAX_TransportStateInfo_V1::mRecordMode

Referenced by operator==(), and ToString().

## ◆ mIsRecordEnabled

AAX_CBoolean AAX_TransportStateInfo_V1::mIsRecordEnabled

Referenced by operator==(), and ToString().

## ◆ mIsRecording

AAX_CBoolean AAX_TransportStateInfo_V1::mIsRecording

Referenced by operator==(), and ToString().

## ◆ mIsLoopEnabled

AAX_CBoolean AAX_TransportStateInfo_V1::mIsLoopEnabled

Referenced by operator==(), and ToString().

The documentation for this struct was generated from the following file:

- AAX_TransportTypes.h